{% extends 'base.html' %}

{% block title %}Spider {{ spider.name }}{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Spider Details: {{ spider.name }}</h4>
    </div>

    <div class="content-base property-container mb40">
        <div class="property-buttons">
            {% include 'spider_action_buttons.html' %}
        </div>
        <div class="mdc-list">
            <div class="property-item">
                {{ md.icon('crop_original') }}
                <span class="mdc-list-item__text">{{ spider.image_name }}</span>
            </div>
            <div class="property-item">
                {{ md.icon('security') }}
                <span class="mdc-list-item__text">
                    {% if spider.secret_name %}
                        private image (using secret: {{ spider.secret_name }})
                    {% else %}
                        public image
                    {% endif %}
                </span>
            </div>
            <div class="property-item">
                {{ md.icon('cloud') }}
                <span class="mdc-list-item__text">
                    {{ spider.num_jobs_run }} Job{{ spider.num_jobs_run|pluralize }} Run
                </span>
            </div>
        </div>
    </div>

    {% if spider_jobs %}
    <div class="content-base list-header">
        <h4>Jobs: {{ spider.name }}</h4>
    </div>

    <div class="content-base no-pad mb40">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Status</th>
                <th>Start Time</th>
                <th>From Cron</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for job in spider_jobs %}
                <tr>
                    <td>
                        <a href="{{ url_for('spider_job_detail', name=job.obj.metadata.name) }}">
                            {{ job.obj.metadata.name }}
                        </a>
                        {{ md.entity_info_button(entity=job, class='small-icon ml5') }}
                    </td>
                    <td>
                        {% include 'spider_job_status.html' %}
                    </td>
                    <td>
                        {% if job.obj.status.startTime %}
                            {{ job.obj.status.startTime|k8s_time }}
                        {% endif %}
                    </td>
                    <td>
                        {{ job.obj.metadata.labels.from_cron }}
                    </td>
                    <td class="button-column">
                        {{ md.post_button('Delete', 'delete_outline', 'delete-button', url_for('spider_job_delete', name=job.obj.metadata.name)) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}

    {% if spider_cronjobs %}
    <div class="content-base list-header">
        <h4>Cron Jobs: {{ spider.name }}</h4>
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Schedule</th>
                <th>Last Start</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for job in spider_cronjobs %}
                <tr>
                    <td>
                        <span>
                            {{ job.obj.metadata.name }}
                        </span>
                        {{ md.entity_info_button(entity=job, class='small-icon ml5') }}
                    </td>
                    <td>
                        {{ job.obj.spec.schedule }}
                    </td>
                    <td>
                        {% if job.obj.status.lastScheduleTime %}
                            {{ job.obj.status.lastScheduleTime|k8s_time }}
                        {% else %}
                            No runs yet
                        {% endif %}
                    </td>
                    <td class="button-column">
                        {{ md.post_button('Delete', 'delete_outline', 'delete-button', url_for('spider_cronjob_delete', name=job.obj.metadata.name)) }}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
{% endblock %}
